%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")

Summary:	winreg-kb - A project to build a Windows Registry Knowledge Base

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		winreg-kb
Version:	20170525
Release:	1%{?dist}

License:	ASL 2.0

Group:		Applications
Source:		%{name}-%{version}.tar.gz
URL:		https://github.com/libyal/winreg-kb/wiki

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%{__python} 
Requires:       python-construct >= 2.5.2
Requires:       python-construct <= 2.5.3
Requires:       python-crypto >= 2.6.0
Requires:       python-dfdatetime >= 20160814
Requires:       dfvfs >= 20160803
Requires:       dfwinreg >= 20170519
Requires:       dtfabric >= 20170524
Requires:       python-backports-lzma
Requires:       libbde-python >= 20140531
Requires:       libewf-python >= 20131210
Requires:       libfsntfs-python >= 20151130
Requires:       libfvde-python >= 20160719
Requires:       libfwnt-python >= 20160418
Requires:       libfwsi-python >= 20150606
Requires:       libqcow-python >= 20131204
Requires:       libregf-python >= 20150315
Requires:       libsigscan-python >= 20150627
Requires:       libsmdev-python >= 20140529
Requires:       libsmraw-python >= 20140612
Requires:       pytsk3 >= 20160721
Requires:       libvhdi-python >= 20131210
Requires:       libvmdk-python >= 20140421
Requires:       libvshadow-python >= 20160109
Requires:       libvslvm-python >= 20160109
Requires:       python-six >= 1.1.0
Requires:       python-libs
Requires:       PyYAML >= 3.10

%description
winreg-kb is a project to build a Windows Registry Knowledge Base.

winregrc is a Python module part of winreg-kb to allow reuse of Windows
Registry Resources.

%prep
%setup 

%build
%{__python} setup.py build

%install
mkdir -p %{buildroot}/%{_docdir}/%{name}
%{__python} setup.py install --root="%{buildroot}" --prefix="%{_prefix}"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644, root, root, 0755)
%doc ACKNOWLEDGEMENTS AUTHORS LICENSE README
%attr(444, root, root)	%{python_sitelib}/winregrc*egg-info
%attr(755, root, root)	%{python_sitelib}/winregrc/
%attr(644, root, root)	%{_docdir}/%{name}/
%attr(644, root, root)	%{_docdir}/winregrc
%attr(755, root, root)	%{_bindir}/*

%changelog
